Get processed store product rule
curl --request GET \
--url https://api.vori.com/v1/store-products/{id}/rules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vori.com/v1/store-products/{id}/rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vori.com/v1/store-products/{id}/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"field_rules": {},
"rule_ids": [
"<string>"
],
"store_product_id": "<string>",
"rules": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"store_id": "<string>",
"banner_id": "<string>",
"priority": 123,
"target_values": {
"properties": {
"name": "<string>",
"pack_size": 123,
"unit_volume_string": "<string>",
"unit_volume_uom_name": "<string>",
"unit_of_measure_amount": "199.99",
"target_margin": "199.99",
"country_of_origin": "<string>",
"loyalty_points_per_dollar": "199.99",
"store_department_id": "<string>",
"min_customer_age": 123,
"ebt_enabled": true,
"ecommerce_enabled": true,
"prompt_for_quantity": true,
"variable_sale_price": true,
"is_tippable": true,
"manual_item": true,
"brand_string": "<string>",
"base_retail_price": "199.99",
"print_physical_tag": true,
"sync_to_deli_scales": true,
"retail_price_uom_id": "<string>",
"wic_override_plu": "<string>",
"is_blackhawk_gift_card": true,
"snap_incentive_earnable": true,
"snap_incentive_redeemable": true,
"shelf_life_days": 123,
"discount_restrictions": [],
"tax_rate_ids": [
"<string>"
],
"variable_weight_ids": [
"<string>"
],
"item_modifier_ids": [
"<string>"
],
"food_modifier_ids": [
"<string>"
],
"tag_templates": [
{
"tag_template_type": "<string>",
"tag_template_id": "<string>"
}
]
}
}
}
]
}{
"error_code": "insufficient_permissions",
"error_details": {}
}Store products
Get processed store product rule
GET
/
v1
/
store-products
/
{id}
/
rules
Get processed store product rule
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^[0-9]+$Was this page helpful?
⌘I